org.gcube.dataanalysis.dataminer.poolmanager.util

## Class AlgorithmBuilder

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.util.AlgorithmBuilder

    public class AlgorithmBuilder
    extends Object

Created by ggiammat on 5/9/17.

### Constructor Summary

Constructors
Constructor and Description
`AlgorithmBuilder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Algorithm` `create(String algorithmPackageURL)`
`static Algorithm` `create(String algorithmPackageURL, String vre, String hostname, String name, String description, String category, String algorithmType, String skipJava)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AlgorithmBuilder

    public AlgorithmBuilder()

### Method Detail

#### create

    public static Algorithm create(String algorithmPackageURL)
                            throws IOException,
                                   InterruptedException

Throws:
  `IOException`
  `InterruptedException`

#### create

    public static Algorithm create(String algorithmPackageURL,
                                   String vre,
                                   String hostname,
                                   String name,
                                   String description,
                                   String category,
                                   String algorithmType,
                                   String skipJava)
                            throws IOException,
                                   InterruptedException

Throws:
  `IOException`
  `InterruptedException`